summaryrefslogtreecommitdiff
path: root/tests/subdir2.test
diff options
context:
space:
mode:
authorTom Tromey <tromey@redhat.com>1996-08-08 20:02:46 +0000
committerTom Tromey <tromey@redhat.com>1996-08-08 20:02:46 +0000
commit2f78657f40e2cab4fcdb043f11f7982376248323 (patch)
treef37cda6eb951b05f9ddf1a590ad0b4b7abd19cb9 /tests/subdir2.test
parentadbee3d14a96f3fb61febeef09ee9b228102eaa3 (diff)
downloadautomake-2f78657f40e2cab4fcdb043f11f7982376248323.tar.gz
Another test
Diffstat (limited to 'tests/subdir2.test')
-rwxr-xr-xtests/subdir2.test39
1 files changed, 39 insertions, 0 deletions
diff --git a/tests/subdir2.test b/tests/subdir2.test
new file mode 100755
index 000000000..672435c20
--- /dev/null
+++ b/tests/subdir2.test
@@ -0,0 +1,39 @@
+#! /bin/sh
+
+# Test to make sure sub-sub-dirs work correctly.
+
+. $srcdir/defs || exit 1
+
+mkdir one
+mkdir one/two
+
+cat > configure.in << 'END'
+PACKAGE=nonesuch
+VERSION=nonesuch
+AC_ARG_PROGRAM
+AC_PROG_MAKE_SET
+AM_PROG_INSTALL
+AC_OUTPUT(Makefile one/Makefile one/two/Makefile)
+END
+
+# Files required because we are using `--gnu'.
+: > INSTALL
+: > NEWS
+: > README
+: > COPYING
+: > AUTHORS
+: > ChangeLog
+
+cat > Makefile.am << 'END'
+SUBDIRS = one
+END
+
+cat > one/Makefile.am << 'END'
+SUBDIRS = two
+END
+
+cat > one/two/Makefile.am << 'END'
+pkgdata_DATA =
+END
+
+$AUTOMAKE --gnu